import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataDatabricksCurrentUserConfig extends cdktf.TerraformMetaArguments {
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/databricks/d/current_user databricks_current_user}
*/
export declare class DataDatabricksCurrentUser extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "databricks_current_user";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/databricks/d/current_user databricks_current_user} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataDatabricksCurrentUserConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataDatabricksCurrentUserConfig);
    get alphanumeric(): string;
    get externalId(): string;
    get home(): string;
    get id(): string;
    get repos(): string;
    get userName(): string;
    get workspaceUrl(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=data-databricks-current-user.d.ts.map