import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataDatabricksAwsCrossaccountPolicyConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/databricks/d/aws_crossaccount_policy#pass_roles DataDatabricksAwsCrossaccountPolicy#pass_roles}
    */
    readonly passRoles?: string[];
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/databricks/d/aws_crossaccount_policy databricks_aws_crossaccount_policy}
*/
export declare class DataDatabricksAwsCrossaccountPolicy extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "databricks_aws_crossaccount_policy";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/databricks/d/aws_crossaccount_policy databricks_aws_crossaccount_policy} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataDatabricksAwsCrossaccountPolicyConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataDatabricksAwsCrossaccountPolicyConfig);
    get id(): string;
    get json(): string;
    private _passRoles?;
    get passRoles(): string[];
    set passRoles(value: string[]);
    resetPassRoles(): void;
    get passRolesInput(): string[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=data-databricks-aws-crossaccount-policy.d.ts.map