import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataDatabricksZonesConfig extends cdktf.TerraformMetaArguments {
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/databricks/d/zones databricks_zones}
*/
export declare class DataDatabricksZones extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "databricks_zones";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/databricks/d/zones databricks_zones} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataDatabricksZonesConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataDatabricksZonesConfig);
    get defaultZone(): string;
    get id(): string;
    get zones(): string[];
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=data-databricks-zones.d.ts.map